Survey: ALLWISE

Telescope: Wide-field Infrared Survey Explorer (WISE)

Instrument: Wide-field Infrared Survey Explorer (WISE)

Filters: WISE Bands 1,2,3,4

Fields: All HELP Fields

P.I.: Edward L. (Ned) Wright

Reference: 2010AJ....140.1868W
